import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { PayConfigAccount } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 18:39
 */
interface PayConfigAccountCU extends ConditionUtil<PayConfigAccountCU> {
    ID: FieldUtil<PayConfigAccountCU>;
    ACCOUNT_ID: FieldUtil<PayConfigAccountCU>;
    PAY_CONFIG_ID: FieldUtil<PayConfigAccountCU>;
    STATE: FieldUtil<PayConfigAccountCU>;
    CREATE_TIME: FieldUtil<PayConfigAccountCU>;
    UPDATE_TIME: FieldUtil<PayConfigAccountCU>;
}
declare class PayConfigAccountMU extends TableUtilImpl<PayConfigAccountCU, PayConfigAccount> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): PayConfigAccountCU;
    static get ID(): FieldUtil<PayConfigAccountCU>;
    static get ACCOUNT_ID(): FieldUtil<PayConfigAccountCU>;
    static get PAY_CONFIG_ID(): FieldUtil<PayConfigAccountCU>;
    static get STATE(): FieldUtil<PayConfigAccountCU>;
    static get CREATE_TIME(): FieldUtil<PayConfigAccountCU>;
    static get UPDATE_TIME(): FieldUtil<PayConfigAccountCU>;
    get ID(): FieldUtil<PayConfigAccountCU>;
    get ACCOUNT_ID(): FieldUtil<PayConfigAccountCU>;
    get PAY_CONFIG_ID(): FieldUtil<PayConfigAccountCU>;
    get STATE(): FieldUtil<PayConfigAccountCU>;
    get CREATE_TIME(): FieldUtil<PayConfigAccountCU>;
    get UPDATE_TIME(): FieldUtil<PayConfigAccountCU>;
}
export { PayConfigAccountMU, PayConfigAccountCU };
